using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Account;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Account;

[YPassportRequest(WebRequestMethods.Http.Post, "registration-validations/auth/multi_step/start")]
internal class YGetAuthLoginUserBuilder : YRequestBuilder<YAuthTypes, (string token, string login)>
{
    public YGetAuthLoginUserBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override HttpContent GetContent((string token, string login) tuple)
    {
        return new FormUrlEncodedContent(new Dictionary<string, string> {
            { "csrf_token", tuple.token },
            { "login", tuple.login }
        });
    }
}